<?php
/*
////////////////////////////////////////////////
//             Utopia Software                //
//      http://www.utopiasoftware.net         //
//             Utopia News Pro                //
////////////////////////////////////////////////
*/

require('functions.inc.php');
session_start();
$USER = unp_getUser();
unp_getSettings();

isset($_GET['action']) ? $action = $_GET['action'] : $action = '';

// +------------------------------------------------------------------+
// | Check Logged In User Has Permission To Access This               |
// +------------------------------------------------------------------+
if ($USER['groupid'] != 1)
{
	// Permission denied - only administrators should be able to access this
	unp_msgBox($gp_permserror);
	exit;
}
// +------------------------------------------------------------------+
// | Process Submission                                               |
// +------------------------------------------------------------------+
if ($action == '')
{
	if (isset($_POST['submitip']))
	{
		$ipaddress = addslashes($_POST['ipaddress']);
		$description = addslashes($_POST['description']);
		// VALIDATION
		if (unp_isempty($ipaddress))
		{
			unp_msgBox('You have entered an invalid IP address.');
			exit;
		}
		if (unp_isempty($description))
		{
			unp_msgBox('You have entered an invalid description.');
			exit;
		}
		// VALIDATION

		// INSERT IP
		$DB->query("INSERT INTO `unp_bannedip` (`ip`,`reason`) VALUES ('$ipaddress','$description')");
		
		unp_redirect('commentsadmin.php?action=bannedips','Successfully banned IP!<br />You will now be taken back to the IP ban page.');
	}
	else
	{
		unp_msgBox($gp_invalidrequest);
		exit;
	}
}

// +------------------------------------------------------------------+
// | Process Banned IP List                                           |
// +------------------------------------------------------------------+
if ($action == 'bannedips')
{
	include('header.php');
	unp_openbox();
	echo '
	<img src="images/icons/comment.gif" alt="Comments Management" />&nbsp;<strong>Banned Comment IPs</strong>&nbsp;';
	unp_faqLink('h');
	echo '<br />
	<center>[ <a href="settings.php?action=edit">Main Settings</a> | <a href="styles.php?action=edit">Visual Settings</a> | <a href="templates.php?action=list">Templates</a> | <a href="categories.php?action=list">News Categories</a> | <strong>Banned IPs</strong> ]</center>';
	echo '<br />The following IPs are banned from posting comments to news stories:<br /><br />';
	echo '
	<form action="commentsadmin.php" method="post">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
		<td width="30%"><em>IP Address</em>&nbsp;</td>
		<td width="60%"><em>Reason/Description</em></td>
		<td width="10%" align="center"><em>Unban</em></td>
		</tr>';
	$getips = $DB->query("SELECT * FROM `unp_bannedip` ORDER BY `id` DESC");
	while($iptable = $DB->fetch_array($getips))
	{

		echo '<tr><td width="30%">'.$iptable['ip'].'</td>';
		echo '<td width="60%">'.$iptable['reason'].'</td>';
		echo '<td width="10%" align="center"><a href="commentsadmin.php?action=removeban&ipid='.$iptable['id'].'"><img src="images/icons/bstop.gif" alt="Remove Ban" border="0" /></a></td></tr>';
		echo '<tr><td><hr /></td><td><hr /></td><td><hr /></td></tr>'; // Create a horizontal rule between IPs
	}
	echo '</table><center>[ <a href="commentsadmin.php?action=addip">Add Banned IP</a> ]</center>';
	unp_closebox();
	include('footer.php');
}

// +------------------------------------------------------------------+
// | Add Banned IP                                                    |
// +------------------------------------------------------------------+
if ($action == 'addip')
{
	include('header.php');
	unp_openbox();
	echo '
	<strong>Add Banned IP</strong>&nbsp;';
	unp_faqLink('h');
	echo '
	<form action="commentsadmin.php" method="post">
	<table border="0" width="100%" cellpadding="1" cellspacing="0">
	<tr>
		<td>IP Address to Ban</td>
		<td><input type="text" value="" name="ipaddress" size="35" /></td>
	</tr>
	<tr>
		<td>Reason or Description</td>
		<td><input type="text" value="" name="description" size="35" /></td>
	</tr>
	<tr>
		<td colspan="2"><center><input type="submit" value="Ban IP Address" name="submitip" accesskey="s" /></center></td>
	</tr>
	</table>
	</form>';
	unp_closebox();
	include('footer.php');
}

// +------------------------------------------------------------------+
// | Remove Ban                                                       |
// +------------------------------------------------------------------+
if ($action == 'removeban')
{
	isset($_GET['ipid']) ? $ipid = addslashes($_GET['ipid']) : $ipid = '';
	$getip = $DB->query("SELECT * FROM `unp_bannedip` WHERE id='$ipid'");
	if (!$DB->is_single_row($getip))
	{
		unp_msgBox('You have entered an invalid IP ID.');
		exit;
	}
	$getip2 = $DB->fetch_array($getip);
	include('header.php');
	unp_openbox();
	echo 'Are you sure you want to remove the ban on IP <strong>'.$getip2['ip'].'</strong> for with this description: '.$getip2['reason'].'?<br />';
	echo '<a href="commentsadmin.php?action=unban&ipid='.$getip2['id'].'">Yes</a><br />';
	echo '<a href="commentsadmin.php?action=bannedips">No</a><br />';
	unp_closebox();
	include('footer.php');
}

// +------------------------------------------------------------------+
// | Unban                                                            |
// +------------------------------------------------------------------+
if ($action == 'unban')
{
	isset($_GET['ipid']) ? $ipid = addslashes($_GET['ipid']) : $ipid = '';
	$getip = $DB->query("SELECT * FROM `unp_bannedip` WHERE id='$ipid'");
	if (!$DB->is_single_row($getip))
	{
		unp_msgBox('You have entered an invalid IP ID.');
		exit;
	}
	$getip2 = $DB->fetch_array($getip);
	$DB->query("DELETE FROM `unp_bannedip` WHERE id='".$ipid."'");
	unp_redirect('commentsadmin.php?action=bannedips','IP was successfully unbanned!<br />You will now be taken back to the IP banning page.');
}
?>