<?php
/*
////////////////////////////////////////////////
//             Utopia Software                //
//      http://www.utopiasoftware.net         //
//             Utopia News Pro                //
////////////////////////////////////////////////
*/

require('functions.inc.php');
session_start();
$USER = unp_getUser();
unp_getSettings();

isset($_GET['action']) ? $action = $_GET['action'] : $action = '';

// +------------------------------------------------------------------+
// | Process News Edit Query                                          |
// +------------------------------------------------------------------+
if ($action == '')
{
	if (isset($_POST['submit']))
	{
		$newsid = $_POST['newsid'];
		if (!preg_match('/^[\d]+$/', $newsid))
		{
			unp_msgBox('You have entered an invalid news ID.');
			exit;
		}
		$checkNews = $DB->query("SELECT * FROM `unp_news` WHERE newsid='$newsid'");
		if (!($DB->is_single_row($checkNews)))
		{
			unp_msgBox($gp_invalidrequest);
			exit;
		}
		$checkNewsarray = $DB->fetch_array($checkNews);
		if (($checkNewsarray['poster'] != $USER['username']) && $USER['groupid'] == 3)
		{
			unp_msgBox('You do not have permission to edit this news post.');
			exit;
		}
		if (isset($_POST['deletenews']))
		{
			unp_deleteNews($newsid);
			unp_autoBuildCache();
			unp_redirect('editnews.php?action=edit','Your news was successfully deleted!<br />You will now be taken back to the news editing page.');
		}
		else
		{
			// make shorter vars
			$subject = $_POST['subject'];
			$news = $_POST['news'];
			// fix up text for database injection
			$subject = addslashes(trim($subject));
			$news = addslashes(trim($news));
			$catid = addslashes(trim($_POST['catid']));
			if (unp_isempty($subject) || unp_isempty($news) || unp_isempty($catid))
			{
				unp_msgBox($gp_allfields);
				exit;
			}
			if (!preg_match('/^[\d]+$/', $catid))
			{
				// Make sure it's really a number
				unp_msgBox($gp_invalidrequest);
				exit;
			}
			if (isset($_POST['sendnewsletter']) && ($checkNewsarray['mailed'] == '0'))
			{
				// Send newsletter
				if (($USER['groupid'] == 1) || ($USER['groupid'] == 2) || ($lowlevelnewsletter == 1))
				{
					// Validated
					$DB->query("UPDATE `unp_news` SET subject='$subject',news='$news',catid='$catid',mailed='1' WHERE newsid=$newsid");
					require('news.inc.php');
					define('ISPRINTABLEPAGE', true);
					define('ISRSS', false);
					define('WILLTRUNCATE', false);
					$n = new News;
					$n->smiliesallowance = $smiliesallowance;
					$n->unpallowance = $unpallowance;
					$n->htmlallowance = $htmlallowance;
					$news = $n->unp_doNewsFormat($news);
					$subject = $n->unp_doSubjectFormat($subject);
					$postdate = unp_date($dateformat, $checkNewsarray['date']);
					$posttime = unp_date($timeformat, $checkNewsarray['date']);
					$message = 'News update from '.$sitetitle.'<br><br>';
					$message.= 'Subject: '.$subject.'<br><br>';
					$message.= 'Submitter: '.$checkNewsarray['poster'].'<br><br>';
					$message.= 'Date: '.$postdate.' at '.$posttime.'<br><br>';
					$message.= 'News: '.$news."\n";
					$emailslist = explode(',', $newsletteremails);
					$emailscount = count($emailslist);
					$techemail = $config['techemail'];
					for ($i = 1; $i <= $emailscount; $i++)
					{
						$index = $i-1;
						mail(trim($emailslist[$index]), "$sitetitle News Update", $message, "From: $techemail\nContent-Type: text/html");
					}
				}
				else
				{
					$DB->query("UPDATE `unp_news` SET subject='$subject',news='$news',catid='$catid' WHERE newsid=$newsid");

				}
			}
			else
			{
				$DB->query("UPDATE `unp_news` SET subject='$subject',news='$news',catid='$catid' WHERE newsid=$newsid");

			}
			$DB->query("UPDATE `unp_news` SET subject='$subject',news='$news',catid='$catid' WHERE newsid=$newsid");
			unp_autoBuildCache();
			unp_redirect('editnews.php?action=edit','Your news was successfully edited!<br />You will now be taken back to the news editing page.');
		}
	}
	else
	{
		unp_msgBox($gp_invalidrequest);
		exit;
	}
}

// +------------------------------------------------------------------+
// | Process Edit News Page                                           |
// +------------------------------------------------------------------+
if ($action == 'edit')
{
	isset($_GET['page']) ? $page = $_GET['page'] : $page = 1;
	$page = addslashes($page);
	if ($USER['groupid'] == 1 || $USER['groupid'] == 2)
	{
		$totalnews = $DB->query("SELECT COUNT(*) AS NumNews FROM `unp_news`");
		$totalnews2 = $DB->fetch_array($totalnews);
		$totalnewsnum = $totalnews2['NumNews'];
		$getnews = $DB->query("SELECT * FROM `unp_news` ORDER BY `newsid` DESC LIMIT ".(($page-1)*10).",10");
	}
	else
	{
		$totalnews = $DB->query("SELECT COUNT(*) AS NumNews FROM `unp_news` WHERE poster='".$USER['username']."'");
		$totalnews2 = $DB->fetch_array($totalnews);
		$totalnewsnum = $totalnews2['NumNews'];
		$getnews = $DB->query("SELECT * FROM `unp_news` WHERE poster='".$USER['username']."' ORDER BY `newsid` DESC LIMIT ".(($page-1)*10).",10");
	}
	if ((floor($totalnewsnum/10)) != $totalnewsnum/10)
	{
		$numpages = floor(($totalnewsnum/10)+1);
	}
	else
	{
		$numpages = ($totalnewsnum/10);
	}
	$getnewsnumber = $DB->num_rows($getnews);
	include('header.php');
	unp_openbox();
	echo '<table border="0" width="100%" cellpadding="0" cellspacing="0">
	<tr><td align="left"><img src="images/icons/edit.gif" alt="Edit News" />&nbsp;<strong>Edit News</strong>&nbsp;';
	unp_faqLink('b');
	echo '&nbsp;<a href="editnews2.php">Beta Editor</a>';
	echo '</td><td align="left">';
	// Begin page number stuff
	echo 'Pages: ';
	if ($page != 1)
	{
		echo '<a href="editnews.php?action=edit&page='.($page-1).'">&laquo;</a>&nbsp;';
	}
	for ($i=1; $i <= $numpages; $i++)
	{
		if ($i == $page)
		{
			echo '<strong>['.$i.']</strong>&nbsp;';
		}
		else
		{
			echo '<a href="editnews.php?action=edit&page='.$i.'">['.$i.']</a>&nbsp;';
		}
	}
	if (($page != ($i-1)) && ($getnewsnumber != 0))
	{
		echo '<a href="editnews.php?action=edit&page='.($page+1).'">&raquo;</a>&nbsp;';
	}
	if ($getnewsnumber == 0)
	{
		echo 'None';
	}
	// End page number stuff
	echo '</td></tr></table>';
// +------------------------------------------------------------------+
// | Posting Allowances                                               |
// +------------------------------------------------------------------+
if (($getnewsnumber) > 0)
{
		echo '
		<table align="right" border="0" cellpadding="-1" cellspacing="0"><tr><td>
		<div align="left" class="pbox">
		<strong>Posting Allowances</strong><br />';
		// HTML allowed?
		echo '<strong>HTML Code:</strong> ';
		if ($htmlallowance == 1)
		{
			echo 'On<br />';
		}
		else
		{
			echo 'Off<br />';
		}
		// UNP Code allowed?
		echo '<strong>UNP Code:</strong> ';
		if ($unpallowance == 1)
		{
			echo 'On [<a href="faq.php#d2" target="_blank">?</a>]<br />';
		}
		else
		{
			echo 'Off<br />';
		}
		// Smilies allowed?
		echo '<strong>Smilies:</strong> ';
		if ($smiliesallowance == 1)
		{
			echo 'On [<a href="faq.php#d4" target="_blank">?</a>]<br />';
		}
		else
		{
			echo 'Off<br />';
		}
		echo '</div></td></tr></table>';
		if ($newsletteremails != '')
		{
			// Newsletters on
			if (($USER['groupid'] == 1) || ($USER['groupid'] == 2) || ($lowlevelnewsletter == 1))
			{
				$newsletterprompt = '<input type="checkbox" name="sendnewsletter" value="1" />&nbsp;Email as newsletter upon edit submission';
			}
			else
			{
				$newsletterprompt = '';
			}
		}
		else
		{
			// Newsletters off
			$newsletterprompt = '';
		}
}
// +------------------------------------------------------------------+
// | Edit News                                                        |
// +------------------------------------------------------------------+
	if (($getnewsnumber) > 0)
	{
		while ($newsarray = $DB->fetch_array($getnews))
		{
			// make shorter vars
			$newsid = $newsarray['newsid'];
			$subject = $newsarray['subject'];
			$date = $newsarray['date'];
			$news = $newsarray['news'];
			// fix up text for display
			$subject = stripslashes($subject);
			$news = stripslashes($news);
			$postdate = unp_date($dateformat, $date);
			$posttime = unp_date($timeformat, $date);
			$poster = $newsarray['poster'];
			$catid = $newsarray['catid'];
			$comments_num = $newsarray['comments'];
			if ($commentsallowance == '1')
			{
				$comments = $news['comments'];
				$comments_links = '<a onClick=\'open("comments.php?action=list&amp;newsid='.$newsid.'","View","width=550, height=550, top=20,left=20,scrollbars=yes, status=no, toolbar=no, menubar=no")\' href="javascript:void(0)">[View Comments]</a>&nbsp;<a onClick=\'open("comments.php?action=deleteall&amp;newsid='.$newsid.'","Remove","width=550, height=550, top=20,left=20,scrollbars=yes, status=no, toolbar=no, menubar=no")\' href="javascript:void(0)">[Remove All Comments]</a>';
			}
			if ($smiliesallowance == '1')
			{
				echo '
				<script type="text/javascript">
				function dosmilie'.$newsid.'(smiliecode) {
					// insert smilie
					document.unpform'.$newsid.'.news.value += smiliecode+" ";
					document.unpform'.$newsid.'.news.focus();
				}
				</script>';
			}
			$getcats = $DB->query("SELECT * FROM `unp_category` ORDER BY `catid` ASC");
			if ($DB->num_rows($getcats) != 1)
			{
				$categorydropdown = '<select name="catid" tabindex="'.$newsid.'2">';
				while($cattable = $DB->fetch_array($getcats))
				{
					if ($catid == $cattable['catid'])
					{
						$categorydropdown.='<option value="'.$cattable['catid'].'" selected="selected">'.$cattable['catname'].'</option>';
					}
					else
					{
						$categorydropdown.='<option value="'.$cattable['catid'].'">'.$cattable['catname'].'</option>';
					}
				}
				$categorydropdown.='</select>';
			}
			else
			{
				$categorydropdown = 'Default<input type="hidden" name="catid" value="1" />';
			}
			echo '
			<form action="editnews.php" name="unpform'.$newsid.'" method="post">
			<input type="hidden" name="newsid" value="'.$newsid.'" />
			<table border="0" width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td width="15%"><strong>Poster:</strong></td>
					<td width="85%"><span class="normalfont">'.$poster.'</span></td>
				</tr>
				<tr>
					<td width="15%"><strong>Post Date:</strong></td>
					<td width="15%"><span class="normalfont">'.$postdate.' at '.$posttime.'</span></td>
				</tr>';
			if ($commentsallowance == '1')
			{
				echo '
				<tr>
					<td width="15%"><strong>Comments:</strong></td>
					<td width="15%"><span class="normalfont">'.$comments_num.' comments - '.$comments_links.'</span></td>
				</tr>';
			}
			echo '
				<tr>
					<td width="15%"><strong>Subject:</strong></td>
					<td width="15%"><input type="text" name="subject" maxlength="100" size="35" tabindex="'.$newsid.'1" value="'.htmlspecialchars($subject).'" /></td>
				</tr>
				<tr>
					<td width="15%"><strong>Category:</strong></td>
					<td width="15%">'.$categorydropdown.'</td>
				</tr>
				<tr valign="top">
				<td width="15%"><strong>News:</strong><br /><span class="smallfont">Delete News: <input type="checkbox" name="deletenews" value="1" /></span>';
				unp_smilieBox($newsid);
				echo '
				</td>
				<td width="85%"><textarea name="news" cols="65" rows="20" tabindex="'.$newsid.'3">'.htmlspecialchars($news).'</textarea></td>
				</tr>
				<tr>
				<td width="15%">&nbsp;</td>
				<td width="85%">';
				if ($newsarray['mailed'] == 0)
				{
					echo $newsletterprompt;
				}
				echo '</td>
				</tr>
			</table>
			<center><input type="submit" name="submit" value="Submit Changes" />&nbsp;<input type="reset" value="Reset" /></center>
			</form><hr /><br />
			';
		}
		unset($newsarray); // drop this large variable, it's unnecessary now
	}
	else
	{
		echo 'There is no news available to edit.';
	}
	unp_closebox();
	include('footer.php');
}
?>