var EditNews = new function()
{
	this.ajax = null;
	this.form = null;
	this.proc = 'ready'; // 'ready', 'proc', or 'done'
	this.fadeIncr = 0;
	this.statusInterval = null;
	this.isInputDisabled = false;
	this.editId = '';
	this.saveId = '';
	this.origSubject = '';
	this.origNews = '';
	this.origCat = '';
	// Initialization Function
	this.init = function()
	{
		var self = EditNews;
		self.ajax = new Ajax();
		self.form = document.getElementById('editNewsForm');
		self.getNewsForPage(1);
	};
	// Toggle Edit in Place Function
	this.toggleEditInPlace = function(e)
	{
		var self = EditNews;
		var elem = null;
		if (!e)
		{
			e = window.event;
		}
		elem = self.getSrcElem(e);
		id = elem.id.replace(/main|subject|cat|info|news/, '');
		if (id != 'editCancel' && !self.isInputDisabled)
		{
			self.editId = id;
			self.editInPlaceOn();
			self.disableEnableMainWinInput(false);
		}
		else if (id == 'editCancel')
		{
			if (confirm('Are you sure you want to cancel? All unsaved changes will be lost.'))
			{
			self.editInPlaceOff(false);
			self.editId = '';
			self.disableEnableMainWinInput(true);
			}
		}
	};
	// Get Source Element Function
	this.getSrcElem = function(e)
	{
		var ret = null;
		if (e.srcElement)
		{
			ret = e.srcElement;
		}
		else if (e.target)
		{
			ret = e.target;
		}
		while (!ret.id && ret)
		{
			ret = ret.parentNode;
		}
		return ret;
	};
	// Turn on Edit-in-Place Function
	this.editInPlaceOn = function(id)
	{
		var self = EditNews;
		var id = self.editId;
		var entryDiv = null;
		var subjectDiv = null;
		var newsDiv = null;
		var catIdSpan = null;
		var catId = 0;
		var catListDiv = null;
		var subjectInput = null;
		var newsArea = null;
		var catDropdown = null;
		var cancelButton = null;
		var saveButton = null;
		var deleteButton = null;
		var leftButtonDiv = null;
		var rightButtonDiv = null;
		var clearBothDiv = null;
		entryDiv = document.getElementById('main' + id);
		subjectDiv = document.getElementById('subject' + id);
		newsDiv = document.getElementById('news' + id);
		catDiv = document.getElementById('cat' + id);
		self.origSubject = subjectDiv.innerHTML;
		self.origNews = newsDiv.innerHTML;
		self.origCat = document.getElementById('catIdSpan' +id).innerHTML;
		while(subjectDiv.firstChild)
		{
			subjectDiv.removeChild(subjectDiv.firstChild);
		}
		while(newsDiv.firstChild)
		{
			newsDiv.removeChild(newsDiv.firstChild);
		}
		catDiv.removeChild(catDiv.firstChild);
		subjectInput = document.createElement('input');
		newsArea = document.createElement('textarea');
		subjectInput.id = 'subjectText';
		subjectInput.name = 'subject';
		subjectInput.className = 'subjectInput';
		newsArea.id = 'newsText';
		newsArea.name = 'newsText';
		newsArea.cols = '36';
		newsArea.rows = '8';
		subjectDiv.appendChild(subjectInput);
		newsDiv.appendChild(newsArea);
		// Start Handle Categories List
		catListDiv = document.getElementById('categoriesList').innerHTML;
		catListArray = catListDiv.split('|||||||'); // Split into chunks
		catsCount = catListArray.length-1;
		catIdSpan = document.getElementById('catIdSpan' + id);
		catId = catIdSpan.innerHTML;
		catDropdown = document.createElement('select');
		catDropdown.name = 'catid';
		catDropdown.id = 'catId';
		catDiv.appendChild(catDropdown);
		for (var i = 0; i < catsCount; i++)
		{
			catsTextArray = catListArray[i].split('||||');
			// Load up categories
			var catListId = 0;
			var catName = '';
			catListId = catsTextArray[0];
			catName = catsTextArray[1];
			catOption = document.createElement('option');
			catOption.id = 'catOption' + id;
			if (catId == catListId)
			{
				catOption.selected = 'selected';
			}
			catOption.value = catListId;
			catOption.innerHTML = catName;
			catDropdown.appendChild(catOption);
		}
		// End Handle Categories List
		subjectInput.value = self.origSubject;
		newsArea.value = self.origNews;
		cancelButton = document.createElement('input');
		saveButton = document.createElement('input');
		deleteButton = document.createElement('input');
		buttonsDiv = document.createElement('div');
		cancelButton.type = 'button';
		cancelButton.id = 'editCancel';
		cancelButton.onclick = self.toggleEditInPlace;
		cancelButton.value = 'Cancel';
		saveButton.type = 'button';
		saveButton.id = 'saveButton';
		saveButton.name = 'submit';
		saveButton.onclick = self.doSave;
		saveButton.value = '               Save               ';
		deleteButton.type = 'button';
		deleteButton.id = 'deleteButton';
		deleteButton.name = 'delete';
		deleteButton.onclick = self.doDelete;
		deleteButton.value = 'Delete';
		self.createSmiliesBox(id);
		entryDiv.appendChild(buttonsDiv);
		buttonsDiv.appendChild(saveButton); buttonsDiv.appendChild(document.createTextNode(' '));
		buttonsDiv.appendChild(deleteButton); buttonsDiv.appendChild(document.createTextNode(' '));
		buttonsDiv.appendChild(cancelButton);
		//self.createSmiliesBox(id);
	};
	// Turn Off Edit-in-Place Function
	this.editInPlaceOff = function(acceptChanges)
	{
		var self = EditNews;
		var id = self.editId;
		var entryDiv = null;
		var subjectDiv = null;
		var catDiv = null;
		var newsDiv = null;
		var subjectText = null;
		var catText = null;
		var newsText = null;
		var resetCatId = 0;
		entryDiv = document.getElementById('main' + id);
		subjectDiv = document.getElementById('subject' + id);
		catDiv = document.getElementById('cat' + id);
		newsDiv = document.getElementById('news' + id);
		self.destroySmiliesBox(id);
		entryDiv.removeChild(entryDiv.lastChild); // Removes buttons
		if (acceptChanges)
		{
			subjectText = subjectDiv.firstChild.value;
			newsText = newsDiv.firstChild.value;
			resetCatId = catDiv.lastChild.value;
			catListDiv = document.getElementById('categoriesList').innerHTML;
			catListArray = catListDiv.split('|||||||'); // Split into chunks
			catsCount = catListArray.length-1;
			for (var i = 0; i < catsCount; i++)
			{
				catsTextArray = catListArray[i].split('||||');
				// Load up categories
				var catListId = 0;
				var catName = '';
				catListId = catsTextArray[0];
				catName = catsTextArray[1];
				if (catListId == resetCatId)
				{
					catText = catName;
				}
			}
		}
		else
		{
			subjectText = self.origSubject;
			newsText = self.origNews;
			resetCatId = document.getElementById('catIdSpan' + id).innerHTML;
			for (var i = 0; i < catsCount; i++)
			{
				catsTextArray = catListArray[i].split('||||');
				// Load up categories
				var catListId = 0;
				var catName = '';
				catListId = catsTextArray[0];
				catName = catsTextArray[1];
				if (catListId == resetCatId)
				{
					catText = catName;
				}
			}
		}
		subjectDiv.innerHTML = '';
		catDiv.innerHTML = '';
		newsDiv.innerHTML = '';
		subjectDiv.innerHTML = subjectText;
		catDiv.innerHTML = 'Category: ' + catText + '<span style="display: none" id="catIdSpan' + id + '">' + resetCatId + '</span>';
		newsDiv.innerHTML = newsText;
	};
	// Save Edited News Function
	this.doSave = function()
	{
		var self = EditNews;
		var postData = '';
		self.startActivityStatus();
		self.form.editEntryId.value = self.editId;
		var newsForm = document.getElementById('editNewsForm');
		var formData = '';
		formData += 'newsid=' + escape(self.form.editEntryId.value);
		formData += '&subject=' + escape(newsForm.subjectText.value);
		formData += '&catid=' + escape(newsForm.catId.value);
		formData += '&news=' + escape(newsForm.newsText.value);
		formData += '&submit=1';
		self.ajax.doPost('editnews.php', formData, self.handleSave);
		self.proc = 'proc';
	};
	// Handle Saved News Function
	this.handleSave = function()
	{
		var self = EditNews;
		self.editInPlaceOff(true);
		self.disableEnableMainWinInput(true);
		self.proc = 'done';
		self.endActivityStatus();
	};
	// Delete News Function
	this.doDelete = function()
	{
		var self = EditNews;
		var newsId;
		self.startActivityStatus();
		newsId = self.editId;
		if (confirm('Are you sure you want to delete this news post?'))
		{
			var formData = '';
			formData += 'newsid=' + newsId;
			formData += '&deletenews=1&submit=1';
			self.ajax.doPost('editnews.php', formData, self.handleDelete);
			self.proc = 'proc';
		}
	};
	// Handle Delete Function
	this.handleDelete = function()
	{
		var self = EditNews;
		document.getElementById('main' + self.editId).innerHTML = 'Removed';
		self.disableEnableMainWinInput(true);
		self.proc = 'done';
		self.endActivityStatus();
	};
	// Toggle Enable/Disable News Editing Function
	this.disableEnableMainWinInput = function(enable)
	{
		var self = EditNews;
		self.isInputDisabled = !enable;
	};
	// Start Activity Status Function
	this.startActivityStatus = function()
	{
		var self = EditNews;
		var statusBox = null;
		statusBox = document.getElementById('statusBox');
		statusBox.innerHTML = 'Status: <img src="images/loading.gif" alt="Processing" />';
	};
	// End Activity Status Function
	this.endActivityStatus = function()
	{
		var self = EditNews;
		var statusBox = null;
		statusBox = document.getElementById('statusBox');
		statusBox.innerHTML = 'Status: Ready';
	};
	// Load News For X Page Function
	this.getNewsForPage = function(page)
	{
		var self = EditNews;
		self.startActivityStatus();
		self.ajax.doGet('misc/geteditnews.php?page=' + page, this.printNewsPage);
	};
	// Print Fetched News Function
	this.printNewsPage = function(resp)
	{
		var self = EditNews;
		var responseText = '';
		var newsTextArray = new Array();
		var newsCount = 0;
		var allEntryDiv = null;
		allEntryDiv = document.getElementById('allEntryDiv');
		while (allEntryDiv.firstChild)
		{
			allEntryDiv.removeChild(allEntryDiv.firstChild);
		}
		responseTextArray = resp.split('|||||||'); // Split into news chunks
		newsCount = responseTextArray.length-1;
		for (var i = 0; i < newsCount; i++)
		{
			newsTextArray = responseTextArray[i].split('||||');
			// Load up news
			var newsId = 0;
			var catId = 0;
			var catName = '';
			var dateText = '';
			var subjectText = '';
			var newsText = '';
			var mainDiv = null;
			var subjectDiv = null;
			var infoDiv = null;
			var catDiv = null;
			var newsDiv = null;
			var posterId = 0;
			var posterUserName = '';
			newsId = newsTextArray[0];
			catId = newsTextArray[1];
			catName = newsTextArray[2];
			dateText = newsTextArray[3];
			subjectText = newsTextArray[4];
			newsText = newsTextArray[5];
			posterId = newsTextArray[6];
			posterUserName = newsTextArray[7];
			mainDiv = document.createElement('div');
			mainDiv.id = 'main' + newsId;
			mainDiv.name = 'main' + newsId;
			mainDiv.className = 'mainNewsDiv';
			allEntryDiv.appendChild(mainDiv);
			subjectDiv = document.createElement('div');
			subjectDiv.id = 'subject' + newsId;
			subjectDiv.name = 'subject' + newsId;
			subjectDiv.className = 'subjectBox';
			subjectDiv.innerHTML = subjectText;
			mainDiv.appendChild(subjectDiv);
			infoDiv = document.createElement('div');
			infoDiv.id = 'info' + newsId;
			infoDiv.name = 'info' + newsId;
			infoDiv.className = 'infoBox';
			infoDiv.innerHTML = '<em>Posted by ' + posterUserName + ' at ' + dateText + '</em> ';
			infoDiv.innerHTML += '- <a onClick=\'open("comments.php?action=list&amp;newsid='  + newsId + '","View","width=550, height=550, top=20,left=20,scrollbars=yes, status=no, toolbar=no, menubar=no")\' href="javascript:void(0)">[View Comments]</a>&nbsp;<a onClick=\'open("comments.php?action=deleteall&amp;newsid=' + newsId + '","Remove","width=550, height=550, top=20,left=20,scrollbars=yes, status=no, toolbar=no, menubar=no")\' href="javascript:void(0)">[Remove All Comments]</a>';
			mainDiv.appendChild(infoDiv);
			catDiv = document.createElement('div');
			catDiv.id = 'cat' + newsId;
			catDiv.name = 'cat' + newsId;
			catDiv.className = 'categoryBox';
			catDiv.innerHTML = 'Category: ' + catName + '<span style="display: none" id="catIdSpan' + newsId + '">' + catId + '</span>';
			mainDiv.appendChild(catDiv);
			newsDiv = document.createElement('div');
			newsDiv.id = 'news' + newsId;
			newsDiv.name = 'news' + newsId;
			newsDiv.className = 'newsBox';
			newsDiv.innerHTML = newsText;
			mainDiv.appendChild(newsDiv);
			allEntryDiv.appendChild(document.createElement('br'));
			document.getElementById('main' + newsId).ondblclick = self.toggleEditInPlace;
		}
		self.endActivityStatus();
	};
	// Change Page Function
	this.changePage = function(page, numpages)
	{
		var self = EditNews;
		var newActivePage = null;
		for (var i = 1; i <= numpages; i++)
		{
			document.getElementById('pagebox' + i).className = '';
		}
		newActivePage = document.getElementById('pagebox' + page);
		newActivePage.className = 'activePage';
		self.disableEnableMainWinInput(true); // Re-enable double click on page change
		self.getNewsForPage(page);
	};
	// Page Down Function
	this.pageDown = function(numpages)
	{
		var self = EditNews;
		for (var i = 1; i <= numpages; i++)
		{
			if (document.getElementById('pagebox' + i).className == 'activePage')
			{
				// The current active page is i, the new active page should be i-1
				if (i != 1)
				{
					var newPageNumber = i - 1;
				}
				else
				{
					// Do nothing -- already on the first page
					var newPageNumber = i;
				}
			}
		}
		self.changePage(newPageNumber, numpages);
	};
	// Page Up Function
	this.pageUp = function(numpages)
	{
		var self = EditNews;
		for (var i = 1; i <= numpages; i++)
		{
			if (document.getElementById('pagebox' + i).className == 'activePage')
			{
				// The current active page is i, the new active page should be i+1
				if (i != numpages)
				{
					var newPageNumber = i + 1;
				}
				else
				{
					// Do nothing -- already on the last page
					var newPageNumber = i;
				}
			}
		}
		self.changePage(newPageNumber, numpages);
	};
	// Create Smilies Box Function
	this.createSmiliesBox = function(newsId)
	{
		var self = EditNews;
		var smiliesBox = null;
		var entryDiv = null;
		entryDiv = document.getElementById('main' + newsId);
		smiliesBox = document.createElement('div');
		smiliesBox.id = 'smiliesBox';
		smiliesBox.innerHTML = ''
		 + '<a href="#" onClick="EditNews.doSmilie(\':)\'); return false;"><img src="images/smilies/happy.gif" alt="Happy" title="Happy" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':(\'); return false;"><img src="images/smilies/sad.gif" alt="Sad" title="Sad" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\';)\'); return false;"><img src="images/smilies/wink.gif" alt="Wink" title="Wink" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':D\'); return false;"><img src="images/smilies/biggrin.gif" alt="Big Grin" title="Big Grin" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':P\'); return false;"><img src="images/smilies/tongue.gif" alt="Tongue" title="Tongue" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\'^_^\'); return false;"><img src="images/smilies/keke.gif" alt="Keke" title="Keke" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':angry:\'); return false;"><img src="images/smilies/angry.gif" alt="Angry" title="Angry" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':rolleyes:\'); return false;"><img src="images/smilies/rolleyes.gif" alt="Roll Eyes" title="Roll Eyes" border="0" /></a>'
		 + '<a href="#" onClick="EditNews.doSmilie(\':confused:\'); return false;"><img src="images/smilies/confused.gif" alt="Confused" title="Confused" border="0" /></a>';
		entryDiv.appendChild(smiliesBox);
	};
	// Destroy Smilies Box Function
	this.destroySmiliesBox = function(newsId)
	{
		var self = EditNews;
		var smiliesBox = null;
		var entryDiv = null;
		entryDiv = document.getElementById('main' + newsId);
		smiliesBox = document.getElementById('smiliesBox');
		entryDiv.removeChild(document.getElementById('smiliesBox'));
	};
	// Insert Smilie Function
	this.doSmilie = function(smilieCode)
	{
		var self = EditNews;
		var newsText = null;
		newsText = document.getElementById('newsText');
		newsText.value += smilieCode += ' ';
	};
};

window.onload = EditNews.init;