<?php
/*
////////////////////////////////////////////////
//             Utopia Software                //
//      http://www.utopiasoftware.net         //
//             Utopia News Pro                //
////////////////////////////////////////////////
*/

// Class for functions
// used in news output

$newsParserVersion = '1.4.0';

if (!class_exists('News'))
{ // Correction for multiple includes on the same page
// +------------------------------------------------------------------+
// | Start News Formatting Class                                      |
// +------------------------------------------------------------------+
class News {
	// ********************************************************
	// Vars
	// ********************************************************
	var $action = '';
	var $smiliesallowance = '';
	var $htmlallowance = '';
	var $unpallowance = '';
	// ********************************************************
	// Do Smilies
	// ********************************************************
	function unp_doSmilies($newstext)
	{
		/*
		 * unp_doSmilies
		 * Description: If smilies are enabled, convert smilie code into smilies.
		 */
		global $unpurl;
		if ($this->smiliesallowance == '1')
		{
			$newstext = preg_replace('/(&[#a-zA-Z0-9]+;)/i','\\1 ',$newstext); // <--add space after htmlspecialchars
			$newstext = str_replace(':)','<img src="'.$unpurl.'images/smilies/happy.gif" border="0" alt="Happy" />', $newstext);
			$newstext = str_replace(':(','<img src="'.$unpurl.'images/smilies/sad.gif" border="0" alt="Sad" />', $newstext);
			$newstext = str_replace(';)','<img src="'.$unpurl.'images/smilies/wink.gif" border="0" alt="Wink" />', $newstext);
			$newstext = str_replace(':D','<img src="'.$unpurl.'images/smilies/biggrin.gif" border="0" alt="Big Grin" />', $newstext);
			$newstext = str_replace('^_^','<img src="'.$unpurl.'images/smilies/keke.gif" border="0" alt="Keke" />', $newstext);
			$newstext = str_replace(array(':P',':p'),'<img src="'.$unpurl.'images/smilies/tongue.gif" border="0" alt="Tongue" />', $newstext);
			$newstext = preg_replace('/:angry:/i','<img src="'.$unpurl.'images/smilies/angry.gif" border="0" alt="Angry" />', $newstext);
			$newstext = preg_replace('/:confused:/i','<img src="'.$unpurl.'images/smilies/confused.gif" border="0" alt="Confused" />', $newstext);
			$newstext = preg_replace('/:rolleyes:/i','<img src="'.$unpurl.'images/smilies/rolleyes.gif" border="0" alt="Roll Eyes" />', $newstext);
			$newstext = preg_replace('/(&[#a-zA-Z0-9]+;)( )/i','\\1',$newstext); // <--strip space after htmlspecialchars
			return $newstext;
		}
		else
		{
			return $newstext;
		}
	}
	// ********************************************************
	// Start UNP Code
	// ********************************************************
	function unp_doCode($newstext)
	{
		/*
		 * unp_doCode
		 * Description: If UNP codes are enabled, converts code into HTML equivalents.
		 */
		if ($this->unpallowance == '1')
		{
			global $linkcolor; // need the link color - grab it
			$findarray = array();
			$replacearray = array();
			// #################### UNP REPLACEMENTS ####################
			// [B]
			$findarray['bold'] = '/\[b\](.+?)\[\/b\]/is';
			$replacearray['bold'] = '<strong>\\1</strong>';
			// [I]
			$findarray['italics'] = '/\[i\](.+?)\[\/i\]/is';
			$replacearray['italics'] = '<em>\\1</em>';
			// [U]
			$findarray['underline'] = '/\[u\](.+?)\[\/u\]/is';
			$replacearray['underline'] = '<span style="text-decoration: underline">\\1</span>';
			// [HR]
			$findarray['ruler'] = '/\[hr\]/i';
			$replacearray['ruler'] = '<hr />';
			// [COLOR=XXX]
			$findarray['color'] = '/\[color=([\#a-zA-Z0-9]+)\](.+?)\[\/color\]/is';
			$replacearray['color'] = '<font color="\\1">\\2</font>';
			// [SIZE=XXX]
			$findarray['size'] = '/\[size=([\d])\](.+?)\[\/size\]/is';
			$replacearray['size'] = '<font size="\\1">\\2</font>';
			// [FONT=XXX]
			$findarray['font'] = '/\[font=(.+?)\](.+?)\[\/font\]/is';
			$replacearray['font'] = '<font face="\\1">\\2</font>';
			// [BLOCKQUOTE]
			$findarray['blockquote'] = '/\[blockquote\](.+?)\[\/blockquote\]/is';
			$replacearray['blockquote'] = '<blockquote>\\1</bockquote>';
			// [EMAIL]
			$findarray['email'] = '/\[email\]([\w\-\.]+@[\w\-]+\.[\w\-\.]+)\[\/email\]/is';
			$replacearray['email'] = '<a href="mailto:\\1"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\1</font></a>';
			// [EMAIL=XXX]
			$findarray['email2'] = '/\[email=([\w\-\.]+@[\w\-]+\.[\w\-\.]+)\](.+?)\[\/email\]/is';
			$replacearray['email2'] = '<a href="mailto:\\1"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\2</font></a>';
			// [IMG]
			$findarray['image'] = '/\[img\]([-_.\/a-zA-Z0-9!&%\#?+,\'=:~]+)\[\/img\]/i';
			$replacearray['image'] = '<img src="\\1" border="0" alt="Image" />';
			if (ISPRINTABLEPAGE != true)
			{
				// [URL]
				$findarray['url1'] = '/\[url\]((http|https|news|ftp):\/\/\w+[^\s\[\]]+)\[\/url\]/i';
				$replacearray['url1'] = '<a href="\\1" target="_blank"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\1</font></a>';
				// [URL] - no protocol (assumes http://)
				$findarray['url1-noprefix'] = '/\[url\](\w+[^\s\[\]]+)\[\/url\]/i';
				$replacearray['url1-noprefix'] = '<a href="http://\\1" target="_blank"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\1</font></a>';
				// [URL=XXX]
				$findarray['url2'] = '/\[url=((http|https|news|ftp|aim):\/\/\w+[^\s\[\]]+)\](.+?)\[\/url\]/is';
				$replacearray['url2'] = '<a href="\\1" target="_blank" title="\\1"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\3</font></a>';
				// [URL=XXX] - no protocol (assumes http://)
				$findarray['url2-noprefix'] = '/\[url=(\w+[^\s\[\]]+)\](.+?)\[\/url\]/is';
				$replacearray['url2-noprefix'] = '<a href="http://\\1" target="_blank" title="\\1"><font face="verdana,arial,helvetica" size="2" color="'.$linkcolor.'">\\2</font></a>';
			}
			else
			{
				// PRINTABLE PAGES DO NOT HAVE LINK COLOR PREDEFINED - DEFINED IN CSS FOR PRINTABLE PAGE
				// [URL]
				$findarray['url1'] = '/\[url\]((http|https|news|ftp):\/\/\w+[^\s\[\]]+)\[\/url\]/i';
				$replacearray['url1'] = '<a href="\\1" target="_blank">\\1</a>';
				// [URL] - no protocol (assumes http://)
				$findarray['url1-noprefix'] = '/\[url\](\w+[^\s\[\]]+)\[\/url\]/i';
				$replacearray['url1-noprefix'] = '<a href="http://\\1" target="_blank">\\1</a>';
				// [URL=XXX]
				$findarray['url2'] = '/\[url=((http|https|news|ftp|aim):\/\/\w+[^\s\[\]]+)\](.+?)\[\/url\]/is';
				$replacearray['url2'] = '<a href="\\1" target="_blank" title="\\1">\\3</a>';
				// [URL=XXX] - no protocol (assumes http://)
				$findarray['url2-noprefix'] = '/\[url=(\w+[^\s\[\]]+)\](.+?)\[\/url\]/is';
				$replacearray['url2-noprefix'] = '<a href="http://\\1" target="_blank" title="\\1">\\2</a>';
			}
			// #################### UNP REPLACEMENTS ####################
			$newstext = preg_replace($findarray, $replacearray, $newstext);

			// (c) || (tm) || (r)
			$newstext = preg_replace('/\(c\)/i', '&copy;', $newstext);
			$newstext = preg_replace('/\(tm\)/i', '&#153;', $newstext);
			$newstext = preg_replace('/\(r\)/i', '&reg;', $newstext);

			// Strip out the potential baddies
			$newstext = preg_replace('/javascript:/i', 'javascript<i></i>:', $newstext); // strip out javascript
			$newstext = preg_replace('/about:/i', 'about<i></i>:', $newstext); // strip out about
			$newstext = preg_replace('/vbscript:/i', 'vbscript<i></i>:', $newstext); // strip out vbscript
			// Sloppy, slow fix for Read More link
			$newstext = str_replace('javascript<i></i>:void(0)"','javascript:void(0)"', $newstext);
			// Sloppy, slow fix for Read More link
			return $newstext;
		}
		else
		{
			return $newstext;
		}
	}
	// ********************************************************
	// Start News Formatting
	// ********************************************************
	function unp_doNewsFormat($newstext)
	{
		/*
		 * unp_doNewsFormat
		 * Description: Uses previously defined formatting functions
		 * on news.
		 */
		if ($this->htmlallowance == '0')
		{
			$newstext = htmlspecialchars($newstext);
		}
		if ((ISPRINTABLEPAGE != true) && (WILLTRUNCATE == true))
		{
			$newstext = $this->unp_doNewsTrim($newstext);
		}
		if (ISRSS == true)
		{
			$newstext = $this->unp_doRSSTrim($newstext);
			$newstext = str_replace('&','&amp;',$newstext);
		}
		if (ISRSS != true)
		{
			$newstext = $this->unp_doSmilies($newstext);
		}
		$newstext = $this->unp_doCode($newstext);
		$newstext = stripslashes($newstext);
		$newstext = nl2br($newstext);
		return $newstext;
	}
	// ********************************************************
	// Start Subject Formatting
	// ********************************************************
	function unp_doSubjectFormat($subject)
	{
		/*
		 * unp_doSubjectFormat
		 * Description: Strips slashes from news and removes any rogue
		 * HTML code.
		 */
		$subject = stripslashes($subject);
		$subject = htmlspecialchars($subject);
		return $subject;
	}
	// ********************************************************
	// Start News Truncation
	// ********************************************************
	function unp_doNewsTrim($newstext)
	{
		/*
		 * unp_doNewsTrim
		 * Description: Truncates the length of the display of a
		 * news article.
		 */
		global $newstruncate, $newstruncatelength, $newsid, $unpurl, $linkcolor;
		if ($newstruncate == 1 && (strlen($newstext) > $newstruncatelength))
		{
			$cutstring = md5(time()); // Create a completely random cutstring. Why random? Why not.
			$newstext = wordwrap($newstext, $newstruncatelength, $cutstring); // Insert the random cutstring after $newstruncatelength
			$newstext = explode($cutstring, $newstext);
			eval('$news_newsbit_readmorelink = "'.unp_printTemplate('news_newsbit_readmorelink').'";');
			return $newstext[0].$news_newsbit_readmorelink;
			// Base Format: $newstext[0].'...<br /><br />Read More';
			// Return first element before cutstring, append ending
		}
		else
		{
			// Do nothing, news text is too short or truncation is off.
			return $newstext;
		}
	}
	// ********************************************************
	// Start RSS Truncation
	// ********************************************************
	function unp_doRSSTrim($newstext)
	{
		/*
		 * unp_doRSSTrim
		 * Description: Truncates the length of the display of a
		 * news article for proper RSS length.
		 */
		if ((strlen($newstext) > 170))
		{
			$cutstring = md5(time()); // Create a completely random cutstring. Why random? Why not.
			$newstext = wordwrap($newstext, 170, $cutstring); // Insert the random cutstring after $newstruncatelength
			$newstext = explode($cutstring, $newstext);
			return $newstext[0];
		}
		else
		{
			// Do nothing, news text is too short or truncation is off.
			return $newstext;
		}
	}
	// ********************************************************
	// Start Style Retrieval
	// ********************************************************
	function unp_getStyle()
	{
		/*
		 * unp_getStyle
		 * Description: Gets news style from the database and creates
		 * appropriate variables.
		 */
		global $DB;
		$getstyle = $DB->query("SELECT * FROM `unp_style`");
		while ($style = $DB->fetch_array($getstyle))
		{
		 	global ${$style['varname']};
		 	${$style['varname']} = $style['value'];
		}
	}
}
// +------------------------------------------------------------------+
// | End News Formatting Class                                        |
// +------------------------------------------------------------------+
}
?>