<?php
/*
////////////////////////////////////////////////
//             Utopia Software                //
//      http://www.utopiasoftware.net         //
//             Utopia News Pro                //
////////////////////////////////////////////////
*/

require('functions.inc.php');
session_start();
$USER = unp_getUser();
unp_getSettings();

isset($_GET['action']) ? $action = $_GET['action'] : $action = '';
isset($_GET['verify']) ? $verify = $_GET['verify'] : $verify = '';

$newsphploc = $unpurl.'/news.php';
$newstempfilename = 'tempnews.txt';
$news_txt = 'news.txt';
$headlinesphploc = $unpurl.'/headlines.php';
$headlinestempfilename = 'tempheadlines.txt';
$headlines_txt = 'headlines.txt';
$rssphploc = $unpurl.'/rss.php';
$rsstempfilename = 'temprss.xml';
$rss_xml = 'rss.xml';

// +------------------------------------------------------------------+
// | Process                                                          |
// +------------------------------------------------------------------+
if ($action == '')
{
	include('header.php');
	unp_openbox();
	echo '
	<img src="images/icons/star.gif" alt="Cache Management" />&nbsp;<strong>Cache Tools</strong>&nbsp;';
	unp_faqLink('c');
	echo '<br />';
	if ((file_exists($news_txt)) || (file_exists($headlines_txt)) || (file_exists($rss_xml)))
	{
		echo '<a href="newscache.php?action=generate">Update Cache</a><br />'."\n\n";
		echo '<a href="newscache.php?action=delcache">Delete Cache</a><br />'."\n\n";
	}
	else
	{
		echo '<a href="newscache.php?action=generate">Create Cache</a><br />';
	}
	echo '
	<strong>View Cache</strong>&nbsp;<br />';
	if (file_exists($news_txt))
	{
		echo '<a href="news.txt">View News Cache</a><br />'."\n\n";
	}
	if (file_exists($headlines_txt))
	{
		echo '<a href="headlines.txt">View Headlines Cache</a><br />'."\n\n";
	}
	if (file_exists($rss_xml))
	{
		echo '<a href="rss.xml">View RSS Cache</a><br />'."\n\n";
	}
	if ((!file_exists($news_txt)) && (!file_exists($headlines_txt)) && (!file_exists($rss_xml)))
	{
		echo 'No Cache Exists<br />'."\n\n";
	}
	echo '<br /><br /><strong>What is the cache?</strong><br />For information about the cache, be sure to check the <a href="faq.php#c" target="_blank">FAQ</a>.';
	unp_closebox();
	include('footer.php');
}

// +------------------------------------------------------------------+
// | Generate Cache                                                   |
// +------------------------------------------------------------------+
if ($action == 'generate')
{
	include('header.php');
	unp_openbox();
	/***************************************************************
       News Cache
	***************************************************************/
	echo '
	<strong>Building News Cache...</strong><br />';
	@unlink($newstempfilename); // kill this as it might still be lying around
	
	echo 'Opening news file...';
	$dynnews = @fopen($newsphploc, 'r');
	if (!$dynnews)
	{
		echo 'There was an error opening news.php. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Saving news...';
	$htmldata = '';
	while (!feof($dynnews))
	{
		$htmldata = $htmldata.fread($dynnews, 1024);
	}
	echo 'OK<br /><br />';
	fclose($dynnews);
	echo 'Creating temporary news storage...';
	$tempfile = @fopen($newstempfilename, 'w');
	if (!$tempfile)
	{
		echo 'There was an error creating the temporary file. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Writing news to temporary storage...';
	fwrite($tempfile, $htmldata);
	echo 'OK<br /><br />';
	fclose($tempfile);
	echo 'Copying news from temporary storage into permanent storage...';
	$ok = @copy($newstempfilename, $news_txt);
	echo 'OK<br /><br />';
	echo 'Removing temporary storage...';
	unlink($newstempfilename);
	echo 'OK<br /><br />';
	echo 'News cache created successfully.<br /><br />';
	/***************************************************************
       Headlines Cache
	***************************************************************/
	echo '
	<strong>Building Headlines Cache...</strong><br />';
	@unlink($headlinestempfilename); // kill this as it might still be lying around
	
	echo 'Opening headlines file...';
	$dynheadlines = @fopen($headlinesphploc, 'r');
	if (!$dynheadlines)
	{
		echo 'There was an error opening headlines.php. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Saving headlines...';
	$htmldata = '';
	while (!feof($dynheadlines))
	{
		$htmldata = $htmldata.fread($dynheadlines, 1024);
	}
	echo 'OK<br /><br />';
	fclose($dynheadlines);
	echo 'Creating temporary headlines storage...';
	$tempfile = @fopen($headlinestempfilename, 'w');
	if (!$tempfile)
	{
		echo 'There was an error creating the temporary file. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Writing headlines to temporary storage...';
	fwrite($tempfile, $htmldata);
	echo 'OK<br /><br />';
	fclose($tempfile);
	echo 'Copying headlines from temporary storage into permanent storage...';
	$ok = @copy($headlinestempfilename, $headlines_txt);
	echo 'OK<br /><br />';
	echo 'Removing temporary storage...';
	unlink($headlinestempfilename);
	echo 'OK<br /><br />';
	echo 'Headlines cache created successfully.<br /><br />';
	/***************************************************************
       RSS Cache
	***************************************************************/
	echo '
	<strong>Building RSS Cache...</strong><br />';
	@unlink($rsstempfilename); // kill this as it might still be lying around
	
	echo 'Opening RSS file...';
	$dynrss = @fopen($rssphploc, 'r');
	if (!$dynrss)
	{
		echo 'There was an error opening rss.php. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Saving RSS...';
	$htmldata = '';
	while (!feof($dynrss))
	{
		$htmldata = $htmldata.fread($dynrss, 1024);
	}
	echo 'OK<br /><br />';
	fclose($dynrss);
	echo 'Creating temporary RSS storage...';
	$tempfile = @fopen($rsstempfilename, 'w');
	if (!$tempfile)
	{
		echo 'There was an error creating the temporary file. Please go back and try again. Update aborted.';
		unp_closebox();
		include('footer.php');
		exit;
	}
	echo 'OK<br /><br />';
	echo 'Writing RSS to temporary storage...';
	fwrite($tempfile, $htmldata);
	echo 'OK<br /><br />';
	fclose($tempfile);
	echo 'Copying RSS from temporary storage into permanent storage...';
	$ok = @copy($rsstempfilename, $rss_xml);
	echo 'OK<br /><br />';
	echo 'Removing temporary storage...';
	unlink($rsstempfilename);
	echo 'OK<br /><br />';
	echo 'RSS cache created successfully.';
	unp_closebox();
	include('footer.php');
}

// +------------------------------------------------------------------+
// | Delete News Cache                                                |
// +------------------------------------------------------------------+
if ($action == 'delcache')
{
	if (($USER['groupid'] != 1) && ($USER['groupid'] != 2))
	{
		unp_msgBox($gp_permserror);
		exit;
	}
	if ($verify == '')
	{
		include('header.php');
		unp_openbox();
		echo '
		<strong>Are you sure you want to delete the cache?</strong><br />';
		echo '<a href="newscache.php?action=delcache&verify=1">Yes</a><br />
		<a href="newscache.php">No</a>';
		unp_closebox();
		include('footer.php');
	}
	elseif ($verify == 1)
	{
		if ((!file_exists($news_txt)) && (!file_exists($headlines_txt)) && (!file_exists($rss_xml)))
		{
			unp_msgBox('No cache exists.');
			exit;
		}
		include('header.php');
		unp_openbox();
		echo '
		<strong>Deleting News Cache...</strong><br />';
		$delcache = @unlink($news_txt);
		if (!$delcache)
		{
			unp_msgBox('<strong>Fatal Error:</strong> Error removing news cache. Ensure that you have proper permissions to do so.');
			include('footer.php');
			exit;
		}
		echo 'News cache successfully removed!<br /><br />';
		echo '
		<strong>Deleting Headlines Cache...</strong><br />';
		$delcache = @unlink($headlines_txt);
		if (!$delcache)
		{
			unp_msgBox('<strong>Fatal Error:</strong> Error removing headlines cache. Ensure that you have proper permissions to do so.');
			include('footer.php');
			exit;
		}
		echo 'Headlines cache successfully removed!<br /><br />';
		echo '
		<strong>Deleting RSS Cache...</strong><br />';
		$delcache = @unlink($rss_xml);
		if (!$delcache)
		{
			unp_msgBox('<strong>Fatal Error:</strong> Error removing RSS cache. Ensure that you have proper permissions to do so.');
			include('footer.php');
			exit;
		}
		echo 'RSS cache successfully removed!';
		unp_closebox();
		include('footer.php');
	}
	else
	{
		unp_msgBox($gp_invalidrequest);
		exit;
	}
}
?>